package com.bergerkiller.bukkit.nolagg.sending;

import org.bukkit.block.BlockFace;

import net.minecraft.server.Chunk;

public class ChunkCompressCommand implements Comparable<ChunkCompressCommand> {
	public int index;
	public ChunkCompressCommand(final Chunk chunk) {
		this.chunk = chunk;
	}
	
	public final Chunk chunk;

	public void calculateIndex(final int midx, final int midz, final BlockFace direction) {
		this.index = ChunkCoordIndexer.get(this.chunk.x - midx, this.chunk.z - midz, direction);
	}
	public int compareTo(ChunkCompressCommand ipair) {
		return this.index - ipair.index;
	}

}
